@import url("assets/fonts/open-iconic/font/css/open-iconic-bootstrap.min.css");
button,
input,
optgroup,
select,
textarea {
  text-align: inherit;
}

svg,
img,
embed,
object,
iframe {
  vertical-align: bottom;
}

table {
  border-spacing: 0;
}

*::before,
*::after {
  box-sizing: border-box;
}

.mud-link {
  cursor: pointer;
}
.mud-link.mud-link-disabled {
  cursor: default;
}

.mud-input-control {
  margin-top: unset;
}
.mud-input-control.mud-input-control-with-label {
  margin-top: 4px;
}
.mud-input-control .mud-input {
  font-size: var(--mud-typography-default-size);
  letter-spacing: var(--mud-typography-default-letterspacing);
  background-color: var(--palette-white);
}
.mud-input-control .mud-input .mud-input-root::placeholder {
  opacity: 0.6;
  font-style: italic;
}
.mud-input-control .mud-input.mud-input-outlined {
  border-radius: var(--mud-default-borderradius);
}
.mud-input-control .mud-input > input.mud-input-root-outlined {
  padding: 12px;
  line-height: var(--mud-typography-default-lineheight);
}
.mud-input-control .mud-input > textarea.mud-input-root-outlined {
  margin: 12px;
  line-height: var(--mud-typography-default-lineheight);
}
.mud-input-control .mud-input.mud-disabled {
  background-color: var(--palette-grey-0);
}
.mud-input-control .mud-input.mud-disabled > .mud-input-outlined-border {
  border-color: var(--palette-grey-3);
}
.mud-input-control .mud-input .mud-icon-button {
  color: var(--palette-grey-5);
  padding: 0;
}
.mud-input-control .mud-input .mud-icon-button:hover, .mud-input-control .mud-input .mud-icon-button:focus-visible {
  color: var(--mud-palette-primary);
  background-color: unset;
}
.mud-input-control .mud-input .mud-icon-button.mud-ripple::after {
  display: none;
}
.mud-input-control .mud-input .mud-icon-button.mud-icon-button-edge-end {
  margin-right: unset;
  margin-inline-end: unset;
}
.mud-input-control .mud-input .mud-icon-button .mud-icon-button-label {
  width: 24px;
  height: 32px;
}
.mud-input-control .mud-input .mud-input-adornment-end {
  margin-left: unset;
  margin-inline-start: unset;
  margin-right: -6px;
}

label:hover + .mud-input-control .mud-input.mud-input-outlined:not(.mud-disabled):not(:focus-within) .mud-input-outlined-border {
  border-color: var(--palette-grey-7);
}

.mud-icon-button {
  border-radius: var(--mud-default-borderradius);
}
.mud-icon-button-size-small {
  padding: 8px;
}

.mud-input-adornment .mud-icon-size-small {
  font-size: var(--font-size-small);
}
.mud-input-adornment .mud-icon-size-medium {
  font-size: var(--font-size-large);
}
.mud-input-adornment .mud-icon-size-large {
  font-size: var(--font-size-extra-large);
}

.mud-alert-text-normal {
  background-color: var(--palette-grey-0);
}

.mud-dialog {
  width: 100%;
  border: 4px solid var(--mud-palette-surface);
  border-radius: 0;
}
.mud-dialog::-webkit-scrollbar {
  width: 12px;
  height: 12px;
}
.mud-dialog::-webkit-scrollbar-thumb {
  background: var(--palette-grey-2);
}
.mud-dialog::-webkit-scrollbar-thumb:hover {
  background: var(--palette-grey-4);
}
.mud-dialog::-webkit-scrollbar-thumb:vertical {
  border-left: 6px solid var(--palette-white);
}
.mud-dialog::-webkit-scrollbar-thumb:horizontal {
  border-top: 6px solid var(--palette-white);
}
.mud-dialog::-webkit-scrollbar-track {
  background: var(--palette-white);
}
@media (min-width: 420px) {
  .mud-dialog {
    width: calc(100vw - 48px);
    border-radius: var(--mud-default-borderradius);
  }
}
.mud-dialog-container {
  min-width: 360px;
}
.mud-dialog .mud-dialog-title,
.mud-dialog .mud-dialog-content,
.mud-dialog .mud-dialog-actions {
  padding: 12px;
}
@media (min-width: 600px) {
  .mud-dialog .mud-dialog-title,
  .mud-dialog .mud-dialog-content,
  .mud-dialog .mud-dialog-actions {
    padding: 20px;
  }
}
.mud-dialog .mud-dialog-title {
  padding-bottom: 4px;
}
.mud-dialog .mud-dialog-actions {
  padding-top: 4px;
}
.mud-dialog .mud-dialog-actions > div[tabindex="-1"] > .outline-none {
  margin: 0 -8px -8px -8px;
}

.mud-avatar.mud-avatar-small {
  font-size: var(--font-size-small);
}
.mud-avatar.mud-avatar-medium {
  font-size: var(--font-size-large);
}
.mud-avatar.mud-avatar-large {
  font-size: 24px;
}

.mud-skeleton {
  background-color: var(--palette-black);
  opacity: 0.06;
  transform-origin: 0 50%;
}
.mud-skeleton:not(.mud-skeleton-circle) {
  border-radius: var(--mud-default-borderradius);
}
.mud-skeleton-text {
  transform: none;
}
.mud-skeleton-pulse {
  animation: mud-skeleton-keyframes-pulse 2s infinite;
}

@keyframes mud-skeleton-keyframes-pulse {
  0% {
    transform: scaleX(0);
    opacity: 0.03;
  }
  70% {
    transform: scaleX(1);
    opacity: 0.06;
  }
  100% {
    transform: scaleX(1);
    opacity: 0;
  }
}
@media (max-width: 599.95px) {
  #mud-snackbar-container.mud-snackbar-location-bottom-right {
    left: 16px;
    right: 16px;
    bottom: 16px;
  }
}
@media (max-width: 599.95px) {
  #mud-snackbar-container .mud-snackbar {
    max-width: 100%;
  }
}
#mud-snackbar-container .mud-snackbar a {
  color: var(--palette-white);
  cursor: pointer;
  text-decoration: underline;
}
#mud-snackbar-container .mud-snackbar a:focus-visible {
  outline: 1px dashed var(--palette-grey-5);
  outline-offset: 1px;
}
#mud-snackbar-container .mud-snackbar a:hover, #mud-snackbar-container .mud-snackbar a:focus {
  color: var(--palette-white);
  text-decoration: underline;
}
#mud-snackbar-container .mud-snackbar-content-action {
  padding-left: unset;
  padding-inline-start: unset;
}
#mud-snackbar-container .mud-snackbar-content-action .mud-icon-button:hover {
  background-color: rgba(var(--palette-black-rgb), 0.2);
}

.mud-popover:empty {
  visibility: hidden;
  top: 0 !important;
  left: 0 !important;
}

.mud-menu .mud-overlay {
  cursor: default;
}

.mud-list .mud-list-item-icon {
  min-width: 32px;
}

.map-panel-info {
  padding: 6px 8px;
  font: 14px/16px Arial, Helvetica, sans-serif;
  background: white;
  background: rgba(255, 255, 255, 0.8);
  box-shadow: 0 0 15px rgba(0, 0, 0, 0.2);
  border-radius: 5px;
}
.map-panel-info h4 {
  margin: 0 0 5px;
  color: #777;
}

.map-panel-legend {
  text-align: left;
  line-height: 18px;
  color: #555;
}
.map-panel-legend i {
  width: 18px;
  height: 18px;
  float: left;
  margin-right: 8px;
  opacity: 0.7;
}

body {
  overflow-y: scroll;
  overscroll-behavior-x: none;
  width: 100%;
  min-width: 360px;
}
body.fixed-position {
  position: fixed;
}

:root {
  --mud-elevation-0: none;
  --mud-elevation-1: 0 2px 4px rgba(var(--palette-black-rgb), 0.1);
  --mud-elevation-2: 0 4px 8px rgba(var(--palette-black-rgb), 0.2);
  --mud-elevation-3: 0 6px 12px rgba(var(--palette-black-rgb), 0.3);
  --mud-elevation-4: 0 8px 16px rgba(var(--palette-black-rgb), 0.4);
  --mud-elevation-5: 0 0 4px rgba(var(--palette-black-rgb), 0.1);
  --mud-elevation-6: 0 0 8px rgba(var(--palette-black-rgb), 0.2);
  --mud-elevation-7: 0 0 12px rgba(var(--palette-black-rgb), 0.3);
  --mud-elevation-8: 0 0 16px rgba(var(--palette-black-rgb), 0.4);
  --mud-elevation-9: none;
  --mud-elevation-10: none;
  --mud-elevation-11: none;
  --mud-elevation-12: none;
  --mud-elevation-13: none;
  --mud-elevation-14: none;
  --mud-elevation-15: none;
  --mud-elevation-16: none;
  --mud-elevation-17: none;
  --mud-elevation-18: none;
  --mud-elevation-19: none;
  --mud-elevation-20: none;
  --mud-elevation-21: none;
  --mud-elevation-22: none;
  --mud-elevation-23: none;
  --mud-elevation-24: none;
  --mud-elevation-25: none;
}

:root {
  --layout-header-height: 60px;
  --layout-side-navigation-width-collapsed: 50px;
  --layout-side-navigation-width-expanded: 240px;
  --layout-side-navigation-top-level-item-height: 48px;
}

:root {
  --transition-speed-fast: 0.1s;
  --transition-speed-normal: 0.25s;
  --transition-speed-slow: 0.4s;
  --mud-default-borderradius: 4px;
  --mud-drawer-width-left: 240px;
  --mud-drawer-width-right: 240px;
  --mud-drawer-width-mini-left: 56px;
  --mud-drawer-width-mini-right: 56px;
  --mud-appbar-height: 64px;
}

:root {
  --palette-neutral: #006fd1;
  --palette-neutral-dark: #00539d;
  --palette-neutral-light: #0087fe;
  --palette-neutral-faint: #e1f1ff;
  --palette-neutral-extra-dark: #003d73;
  --palette-neutral-rgb: 0, 111, 209;
  --palette-neutral-dark-rgb: 0, 83, 157;
  --palette-neutral-light-rgb: 0, 135, 254;
  --palette-neutral-faint-rgb: 225, 241, 255;
  --palette-neutral-extra-dark-rgb: 0, 61, 115;
  --palette-brand: #da202a;
  --palette-brand-dark: #a41820;
  --palette-brand-light: #ff2f3a;
  --palette-brand-faint: #fce8e9;
  --palette-brand-rgb: 218, 32, 42;
  --palette-brand-dark-rgb: 164, 24, 32;
  --palette-brand-light-rgb: 255, 47, 58;
  --palette-brand-faint-rgb: 252, 232, 233;
  --palette-positive: #359e2e;
  --palette-positive-dark: #287723;
  --palette-positive-light: #4ac841;
  --palette-positive-faint: #e2ffe0;
  --palette-positive-rgb: 53, 158, 46;
  --palette-positive-dark-rgb: 40, 119, 35;
  --palette-positive-light-rgb: 74, 200, 65;
  --palette-positive-faint-rgb: 226, 255, 224;
  --palette-negative: #b11b27;
  --palette-negative-dark: #85141d;
  --palette-negative-light: #df2b39;
  --palette-negative-faint: #fbe4e6;
  --palette-negative-rgb: 177, 27, 39;
  --palette-negative-dark-rgb: 133, 20, 29;
  --palette-negative-light-rgb: 223, 43, 57;
  --palette-negative-faint-rgb: 251, 228, 230;
  --palette-black: black;
  --palette-white: white;
  --palette-grey-0: #f3f4f5;
  --palette-grey-1: #e7e9ea;
  --palette-grey-2: #cfd3d5;
  --palette-grey-3: #b7bdc0;
  --palette-grey-4: #9fa7ab;
  --palette-grey-5: #828c92;
  --palette-grey-6: #657279;
  --palette-grey-7: #485760;
  --palette-grey-8: #2b3d47;
  --palette-grey-9: #0e222e;
  --palette-black-rgb: 0, 0, 0;
  --palette-white-rgb: 255, 255, 255;
  --palette-grey-0-rgb: 243, 244, 245;
  --palette-grey-1-rgb: 231, 233, 234;
  --palette-grey-2-rgb: 207, 211, 213;
  --palette-grey-3-rgb: 183, 189, 192;
  --palette-grey-4-rgb: 159, 167, 171;
  --palette-grey-5-rgb: 130, 140, 146;
  --palette-grey-6-rgb: 101, 114, 121;
  --palette-grey-7-rgb: 72, 87, 96;
  --palette-grey-8-rgb: 43, 61, 71;
  --palette-grey-9-rgb: 14, 34, 46;
  --mud-palette-primary: #006fd1;
  --mud-palette-primary-text: white;
  --mud-palette-primary-darken: #00539d;
  --mud-palette-primary-lighten: #0087fe;
  --mud-palette-primary-hover: #e1f1ff;
  --mud-palette-primary-rgb: 0, 111, 209;
  --mud-palette-secondary: #da202a;
  --mud-palette-secondary-text: white;
  --mud-palette-secondary-darken: #a41820;
  --mud-palette-secondary-lighten: #ff2f3a;
  --mud-palette-secondary-hover: #fce8e9;
  --mud-palette-secondary-rgb: 218, 32, 42;
  --mud-palette-tertiary: black;
  --mud-palette-tertiary-text: black;
  --mud-palette-tertiary-darken: black;
  --mud-palette-tertiary-lighten: black;
  --mud-palette-tertiary-hover: black;
  --mud-palette-tertiary-rgb: 0, 0, 0;
  --mud-palette-info: #006fd1;
  --mud-palette-info-text: white;
  --mud-palette-info-darken: #00539d;
  --mud-palette-info-lighten: #0087fe;
  --mud-palette-info-hover: #e1f1ff;
  --mud-palette-info-rgb: 0, 111, 209;
  --mud-palette-success: #359e2e;
  --mud-palette-success-text: white;
  --mud-palette-success-darken: #287723;
  --mud-palette-success-lighten: #4ac841;
  --mud-palette-success-hover: #e2ffe0;
  --mud-palette-success-rgb: 53, 158, 46;
  --mud-palette-warning: #da202a;
  --mud-palette-warning-text: white;
  --mud-palette-warning-darken: #a41820;
  --mud-palette-warning-lighten: #ff2f3a;
  --mud-palette-warning-hover: #fce8e9;
  --mud-palette-warning-rgb: 218, 32, 42;
  --mud-palette-error: #b11b27;
  --mud-palette-error-text: white;
  --mud-palette-error-darken: #85141d;
  --mud-palette-error-lighten: #df2b39;
  --mud-palette-error-hover: #fbe4e6;
  --mud-palette-error-rgb: 177, 27, 39;
  --mud-palette-dark: #2b3d47;
  --mud-palette-dark-text: white;
  --mud-palette-dark-darken: #0e222e;
  --mud-palette-dark-lighten: #485760;
  --mud-palette-dark-hover: #e7e9ea;
  --mud-palette-dark-rgb: 43, 61, 71;
  --mud-palette-black: black;
  --mud-palette-white: white;
  --mud-palette-grey-lighter: #cfd3d5;
  --mud-palette-grey-light: #b7bdc0;
  --mud-palette-grey-default: #9fa7ab;
  --mud-palette-grey-dark: #828c92;
  --mud-palette-grey-darker: #485760;
  --mud-palette-overlay-dark: rgba(0, 0, 0, 0.6);
  --mud-palette-overlay-light: rgba(255, 255, 255, 0.6);
  --mud-palette-text-primary: #0e222e;
  --mud-palette-text-secondary: #485760;
  --mud-palette-text-disabled: #828c92;
  --mud-palette-action-default: #0e222e;
  --mud-palette-action-default-hover: #e7e9ea;
  --mud-palette-action-disabled: #657279;
  --mud-palette-action-disabled-background: #cfd3d5;
  --mud-palette-surface: white;
  --mud-palette-background: white;
  --mud-palette-background-grey: #f3f4f5;
  --mud-palette-drawer-background: white;
  --mud-palette-drawer-text: #0e222e;
  --mud-palette-drawer-icon: #485760;
  --mud-palette-appbar-background: #0e222e;
  --mud-palette-appbar-text: white;
  --mud-palette-lines-default: #cfd3d5;
  --mud-palette-lines-inputs: #cfd3d5;
  --mud-palette-table-lines: #cfd3d5;
  --mud-palette-table-striped: #f3f4f5;
  --mud-palette-table-hover: #e7e9ea;
  --mud-palette-divider: #cfd3d5;
  --mud-palette-divider-light: #e7e9ea;
}

@font-face {
  font-family: "chevin";
  src: url("assets/fonts/chevinstd-medium.woff2");
  font-weight: normal;
  font-style: normal;
}
@font-face {
  font-family: "chevin-bold";
  src: url("assets/fonts/chevinstd-bold.woff2");
  font-weight: normal;
  font-style: normal;
}
@font-face {
  font-family: "Mulish";
  font-style: normal;
  font-weight: 300;
  src: local(""), url("assets/fonts/mulish/mulish-v7-latin-ext_latin-300.woff2") format("woff2"), url("assets/fonts/mulish/mulish-v7-latin-ext_latin-300.woff") format("woff"); /* Chrome 6+, Firefox 3.6+, IE 9+, Safari 5.1+ */
}
@font-face {
  font-family: "Mulish";
  font-style: normal;
  font-weight: 400;
  src: local(""), url("assets/fonts/mulish/mulish-v7-latin-ext_latin-regular.woff2") format("woff2"), url("assets/fonts/mulish/mulish-v7-latin-ext_latin-regular.woff") format("woff"); /* Chrome 6+, Firefox 3.6+, IE 9+, Safari 5.1+ */
}
@font-face {
  font-family: "Mulish";
  font-style: normal;
  font-weight: 600;
  src: local(""), url("assets/fonts/mulish/mulish-v7-latin-ext_latin-600.woff2") format("woff2"), url("assets/fonts/mulish/mulish-v7-latin-ext_latin-600.woff") format("woff"); /* Chrome 6+, Firefox 3.6+, IE 9+, Safari 5.1+ */
}
@font-face {
  font-family: "Mulish";
  font-style: normal;
  font-weight: 700;
  src: local(""), url("assets/fonts/mulish/mulish-v7-latin-ext_latin-700.woff2") format("woff2"), url("assets/fonts/mulish/mulish-v7-latin-ext_latin-700.woff") format("woff"); /* Chrome 6+, Firefox 3.6+, IE 9+, Safari 5.1+ */
}
@font-face {
  font-family: "Mulish";
  font-style: normal;
  font-weight: 800;
  src: local(""), url("assets/fonts/mulish/mulish-v7-latin-ext_latin-800.woff2") format("woff2"), url("assets/fonts/mulish/mulish-v7-latin-ext_latin-800.woff") format("woff"); /* Chrome 6+, Firefox 3.6+, IE 9+, Safari 5.1+ */
}
@font-face {
  font-family: "Mulish";
  font-style: italic;
  font-weight: 300;
  src: local(""), url("assets/fonts/mulish/mulish-v7-latin-ext_latin-300italic.woff2") format("woff2"), url("assets/fonts/mulish/mulish-v7-latin-ext_latin-300italic.woff") format("woff"); /* Chrome 6+, Firefox 3.6+, IE 9+, Safari 5.1+ */
}
@font-face {
  font-family: "Mulish";
  font-style: italic;
  font-weight: 400;
  src: local(""), url("assets/fonts/mulish/mulish-v7-latin-ext_latin-italic.woff2") format("woff2"), url("assets/fonts/mulish/mulish-v7-latin-ext_latin-italic.woff") format("woff"); /* Chrome 6+, Firefox 3.6+, IE 9+, Safari 5.1+ */
}
@font-face {
  font-family: "Mulish";
  font-style: italic;
  font-weight: 600;
  src: local(""), url("assets/fonts/mulish/mulish-v7-latin-ext_latin-600italic.woff2") format("woff2"), url("assets/fonts/mulish/mulish-v7-latin-ext_latin-600italic.woff") format("woff"); /* Chrome 6+, Firefox 3.6+, IE 9+, Safari 5.1+ */
}
@font-face {
  font-family: "Mulish";
  font-style: italic;
  font-weight: 700;
  src: local(""), url("assets/fonts/mulish/mulish-v7-latin-ext_latin-700italic.woff2") format("woff2"), url("assets/fonts/mulish/mulish-v7-latin-ext_latin-700italic.woff") format("woff"); /* Chrome 6+, Firefox 3.6+, IE 9+, Safari 5.1+ */
}
@font-face {
  font-family: "Mulish";
  font-style: italic;
  font-weight: 800;
  src: local(""), url("assets/fonts/mulish/mulish-v7-latin-ext_latin-800italic.woff2") format("woff2"), url("assets/fonts/mulish/mulish-v7-latin-ext_latin-800italic.woff") format("woff"); /* Chrome 6+, Firefox 3.6+, IE 9+, Safari 5.1+ */
}
:root {
  --font-size-tiny: 8px;
  --font-size-extra-small: 10px;
  --font-size-small: 12px;
  --font-size-medium: 14px;
  --font-size-large: 16px;
  --font-size-extra-large: 20px;
  --font-size-huge: 28px;
  --font-weight-light: 300;
  --font-weight-regular: 400;
  --font-weight-semi-bold: 600;
  --font-weight-bold: 700;
  --font-weight-extra-bold: 800;
  --mud-typography-default-family: Mulish, Helvetica, Arial, sans-serif;
  --mud-typography-default-size: 14px;
  --mud-typography-default-weight: 400;
  --mud-typography-default-lineheight: 1.3;
  --mud-typography-default-letterspacing: 0;
  --mud-typography-default-text-transform: none;
  --mud-typography-h1-family: unset;
  --mud-typography-h1-size: 28px;
  --mud-typography-h1-weight: 600;
  --mud-typography-h1-lineheight: 1.3;
  --mud-typography-h1-letterspacing: unset;
  --mud-typography-h1-text-transform: unset;
  --mud-typography-h2-family: unset;
  --mud-typography-h2-size: 18px;
  --mud-typography-h2-weight: bold;
  --mud-typography-h2-lineheight: 1.3;
  --mud-typography-h2-letterspacing: unset;
  --mud-typography-h2-text-transform: unset;
  --mud-typography-h3-family: unset;
  --mud-typography-h3-size: 16px;
  --mud-typography-h3-weight: bold;
  --mud-typography-h3-lineheight: 1.3;
  --mud-typography-h3-letterspacing: unset;
  --mud-typography-h3-text-transform: unset;
  --mud-typography-h4-family: unset;
  --mud-typography-h4-size: 16px;
  --mud-typography-h4-weight: bold;
  --mud-typography-h4-lineheight: 1.3;
  --mud-typography-h4-letterspacing: unset;
  --mud-typography-h4-text-transform: unset;
  --mud-typography-h5-family: unset;
  --mud-typography-h5-size: 16px;
  --mud-typography-h5-weight: bold;
  --mud-typography-h5-lineheight: 1.3;
  --mud-typography-h5-letterspacing: unset;
  --mud-typography-h5-text-transform: unset;
  --mud-typography-h6-family: unset;
  --mud-typography-h6-size: 16px;
  --mud-typography-h6-weight: bold;
  --mud-typography-h6-lineheight: 1.3;
  --mud-typography-h6-letterspacing: unset;
  --mud-typography-h6-text-transform: unset;
  --mud-typography-subtitle1-family: unset;
  --mud-typography-subtitle1-size: 0;
  --mud-typography-subtitle1-weight: unset;
  --mud-typography-subtitle1-lineheight: unset;
  --mud-typography-subtitle1-letterspacing: unset;
  --mud-typography-subtitle1-text-transform: unset;
  --mud-typography-subtitle2-family: unset;
  --mud-typography-subtitle2-size: 0;
  --mud-typography-subtitle2-weight: unset;
  --mud-typography-subtitle2-lineheight: unset;
  --mud-typography-subtitle2-letterspacing: unset;
  --mud-typography-subtitle2-text-transform: unset;
  --mud-typography-body1-family: unset;
  --mud-typography-body1-size: 14px;
  --mud-typography-body1-weight: unset;
  --mud-typography-body1-lineheight: unset;
  --mud-typography-body1-letterspacing: unset;
  --mud-typography-body1-text-transform: unset;
  --mud-typography-body2-family: unset;
  --mud-typography-body2-size: 12px;
  --mud-typography-body2-weight: unset;
  --mud-typography-body2-lineheight: unset;
  --mud-typography-body2-letterspacing: unset;
  --mud-typography-body2-text-transform: unset;
  --mud-typography-button-family: unset;
  --mud-typography-button-size: 14px;
  --mud-typography-button-weight: unset;
  --mud-typography-button-lineheight: unset;
  --mud-typography-button-letterspacing: unset;
  --mud-typography-button-text-transform: unset;
  --mud-typography-caption-family: unset;
  --mud-typography-caption-size: 12px;
  --mud-typography-caption-weight: unset;
  --mud-typography-caption-lineheight: unset;
  --mud-typography-caption-letterspacing: unset;
  --mud-typography-caption-text-transform: unset;
  --mud-typography-overline-family: unset;
  --mud-typography-overline-size: 0;
  --mud-typography-overline-weight: unset;
  --mud-typography-overline-lineheight: unset;
  --mud-typography-overline-letterspacing: unset;
  --mud-typography-overline-text-transform: unset;
}

:root {
  --mud-zindex-tooltip: 110;
  --mud-zindex-snackbar: 100;
  --mud-zindex-popover: 90;
  --mud-zindex-dialog: 80;
  --mud-zindex-appbar: 70;
  --mud-zindex-drawer: 60;
  --zindex-page-header: 50;
  --zindex-navigation-sidebar: 40;
  --zindex-page-footer: 30;
  --zindex-loading-animation-overlay: 20;
  --zindex-grid-header: 10;
}

/* required styles */
.leaflet-pane,
.leaflet-tile,
.leaflet-marker-icon,
.leaflet-marker-shadow,
.leaflet-tile-container,
.leaflet-pane > svg,
.leaflet-pane > canvas,
.leaflet-zoom-box,
.leaflet-image-layer,
.leaflet-layer {
  position: absolute;
  left: 0;
  top: 0;
}

.leaflet-container {
  overflow: hidden;
}

.leaflet-tile,
.leaflet-marker-icon,
.leaflet-marker-shadow {
  -webkit-user-select: none;
  -moz-user-select: none;
  user-select: none;
  -webkit-user-drag: none;
}

/* Prevents IE11 from highlighting tiles in blue */
.leaflet-tile::selection {
  background: transparent;
}

/* Safari renders non-retina tile on retina better with this, but Chrome is worse */
.leaflet-safari .leaflet-tile {
  image-rendering: -webkit-optimize-contrast;
}

/* hack that prevents hw layers "stretching" when loading new tiles */
.leaflet-safari .leaflet-tile-container {
  width: 1600px;
  height: 1600px;
  -webkit-transform-origin: 0 0;
}

.leaflet-marker-icon,
.leaflet-marker-shadow {
  display: block;
}

/* .leaflet-container svg: reset svg max-width decleration shipped in Joomla! (joomla.org) 3.x */
/* .leaflet-container img: map is broken in FF if you have max-width: 100% on tiles */
.leaflet-container .leaflet-overlay-pane svg,
.leaflet-container .leaflet-marker-pane img,
.leaflet-container .leaflet-shadow-pane img,
.leaflet-container .leaflet-tile-pane img,
.leaflet-container img.leaflet-image-layer,
.leaflet-container .leaflet-tile {
  max-width: none !important;
  max-height: none !important;
}

.leaflet-container.leaflet-touch-zoom {
  -ms-touch-action: pan-x pan-y;
  touch-action: pan-x pan-y;
}

.leaflet-container.leaflet-touch-drag {
  -ms-touch-action: pinch-zoom;
  /* Fallback for FF which doesn't support pinch-zoom */
  touch-action: none;
  touch-action: pinch-zoom;
}

.leaflet-container.leaflet-touch-drag.leaflet-touch-zoom {
  -ms-touch-action: none;
  touch-action: none;
}

.leaflet-container {
  -webkit-tap-highlight-color: transparent;
}

.leaflet-container a {
  -webkit-tap-highlight-color: rgba(51, 181, 229, 0.4);
}

.leaflet-tile {
  filter: inherit;
  visibility: hidden;
}

.leaflet-tile-loaded {
  visibility: inherit;
}

.leaflet-zoom-box {
  width: 0;
  height: 0;
  -moz-box-sizing: border-box;
  box-sizing: border-box;
  z-index: 800;
}

/* workaround for https://bugzilla.mozilla.org/show_bug.cgi?id=888319 */
.leaflet-overlay-pane svg {
  -moz-user-select: none;
}

.leaflet-pane {
  z-index: 400;
}

.leaflet-tile-pane {
  z-index: 200;
}

.leaflet-overlay-pane {
  z-index: 400;
}

.leaflet-shadow-pane {
  z-index: 500;
}

.leaflet-marker-pane {
  z-index: 600;
}

.leaflet-tooltip-pane {
  z-index: 650;
}

.leaflet-popup-pane {
  z-index: 700;
}

.leaflet-map-pane canvas {
  z-index: 100;
}

.leaflet-map-pane svg {
  z-index: 200;
}

.leaflet-vml-shape {
  width: 1px;
  height: 1px;
}

.lvml {
  behavior: url(#default#VML);
  display: inline-block;
  position: absolute;
}

/* control positioning */
.leaflet-control {
  position: relative;
  z-index: 800;
  pointer-events: visiblePainted; /* IE 9-10 doesn't have auto */
  pointer-events: auto;
}

.leaflet-top,
.leaflet-bottom {
  position: absolute;
  z-index: 1000;
  pointer-events: none;
}

.leaflet-top {
  top: 0;
}

.leaflet-right {
  right: 0;
}

.leaflet-bottom {
  bottom: 0;
}

.leaflet-left {
  left: 0;
}

.leaflet-control {
  float: left;
  clear: both;
}

.leaflet-right .leaflet-control {
  float: right;
}

.leaflet-top .leaflet-control {
  margin-top: 10px;
}

.leaflet-bottom .leaflet-control {
  margin-bottom: 10px;
}

.leaflet-left .leaflet-control {
  margin-left: 10px;
}

.leaflet-right .leaflet-control {
  margin-right: 10px;
}

/* zoom and fade animations */
.leaflet-fade-anim .leaflet-tile {
  will-change: opacity;
}

.leaflet-fade-anim .leaflet-popup {
  opacity: 0;
  -webkit-transition: opacity 0.2s linear;
  -moz-transition: opacity 0.2s linear;
  transition: opacity 0.2s linear;
}

.leaflet-fade-anim .leaflet-map-pane .leaflet-popup {
  opacity: 1;
}

.leaflet-zoom-animated {
  -webkit-transform-origin: 0 0;
  -ms-transform-origin: 0 0;
  transform-origin: 0 0;
}

.leaflet-zoom-anim .leaflet-zoom-animated {
  will-change: transform;
}

.leaflet-zoom-anim .leaflet-zoom-animated {
  -webkit-transition: -webkit-transform 0.25s cubic-bezier(0, 0, 0.25, 1);
  -moz-transition: -moz-transform 0.25s cubic-bezier(0, 0, 0.25, 1);
  transition: transform 0.25s cubic-bezier(0, 0, 0.25, 1);
}

.leaflet-zoom-anim .leaflet-tile,
.leaflet-pan-anim .leaflet-tile {
  -webkit-transition: none;
  -moz-transition: none;
  transition: none;
}

.leaflet-zoom-anim .leaflet-zoom-hide {
  visibility: hidden;
}

/* cursors */
.leaflet-interactive {
  cursor: pointer;
}

.leaflet-grab {
  cursor: -webkit-grab;
  cursor: -moz-grab;
  cursor: grab;
}

.leaflet-crosshair,
.leaflet-crosshair .leaflet-interactive {
  cursor: crosshair;
}

.leaflet-popup-pane,
.leaflet-control {
  cursor: auto;
}

.leaflet-dragging .leaflet-grab,
.leaflet-dragging .leaflet-grab .leaflet-interactive,
.leaflet-dragging .leaflet-marker-draggable {
  cursor: move;
  cursor: -webkit-grabbing;
  cursor: -moz-grabbing;
  cursor: grabbing;
}

/* marker & overlays interactivity */
.leaflet-marker-icon,
.leaflet-marker-shadow,
.leaflet-image-layer,
.leaflet-pane > svg path,
.leaflet-tile-container {
  pointer-events: none;
}

.leaflet-marker-icon.leaflet-interactive,
.leaflet-image-layer.leaflet-interactive,
.leaflet-pane > svg path.leaflet-interactive,
svg.leaflet-image-layer.leaflet-interactive path {
  pointer-events: visiblePainted; /* IE 9-10 doesn't have auto */
  pointer-events: auto;
}

/* visual tweaks */
.leaflet-container {
  background: #ddd;
  outline: 0;
}

.leaflet-container a {
  color: #0078A8;
}

.leaflet-container a.leaflet-active {
  outline: 2px solid orange;
}

.leaflet-zoom-box {
  border: 2px dotted #38f;
  background: rgba(255, 255, 255, 0.5);
}

/* general typography */
.leaflet-container {
  font: 12px/1.5 "Helvetica Neue", Arial, Helvetica, sans-serif;
}

/* general toolbar styles */
.leaflet-bar {
  box-shadow: 0 1px 5px rgba(0, 0, 0, 0.65);
  border-radius: 4px;
}

.leaflet-bar a,
.leaflet-bar a:hover {
  background-color: #fff;
  border-bottom: 1px solid #ccc;
  width: 26px;
  height: 26px;
  line-height: 26px;
  display: block;
  text-align: center;
  text-decoration: none;
  color: black;
}

.leaflet-bar a,
.leaflet-control-layers-toggle {
  background-position: 50% 50%;
  background-repeat: no-repeat;
  display: block;
}

.leaflet-bar a:hover {
  background-color: #f4f4f4;
}

.leaflet-bar a:first-child {
  border-top-left-radius: 4px;
  border-top-right-radius: 4px;
}

.leaflet-bar a:last-child {
  border-bottom-left-radius: 4px;
  border-bottom-right-radius: 4px;
  border-bottom: none;
}

.leaflet-bar a.leaflet-disabled {
  cursor: default;
  background-color: #f4f4f4;
  color: #bbb;
}

.leaflet-touch .leaflet-bar a {
  width: 30px;
  height: 30px;
  line-height: 30px;
}

.leaflet-touch .leaflet-bar a:first-child {
  border-top-left-radius: 2px;
  border-top-right-radius: 2px;
}

.leaflet-touch .leaflet-bar a:last-child {
  border-bottom-left-radius: 2px;
  border-bottom-right-radius: 2px;
}

/* zoom control */
.leaflet-control-zoom-in,
.leaflet-control-zoom-out {
  font: bold 18px "Lucida Console", Monaco, monospace;
  text-indent: 1px;
}

.leaflet-touch .leaflet-control-zoom-in, .leaflet-touch .leaflet-control-zoom-out {
  font-size: 22px;
}

/* layers control */
.leaflet-control-layers {
  box-shadow: 0 1px 5px rgba(0, 0, 0, 0.4);
  background: #fff;
  border-radius: 5px;
}

.leaflet-control-layers-toggle {
  background-image: url(images/layers.png);
  width: 36px;
  height: 36px;
}

.leaflet-retina .leaflet-control-layers-toggle {
  background-image: url(images/layers-2x.png);
  background-size: 26px 26px;
}

.leaflet-touch .leaflet-control-layers-toggle {
  width: 44px;
  height: 44px;
}

.leaflet-control-layers .leaflet-control-layers-list,
.leaflet-control-layers-expanded .leaflet-control-layers-toggle {
  display: none;
}

.leaflet-control-layers-expanded .leaflet-control-layers-list {
  display: block;
  position: relative;
}

.leaflet-control-layers-expanded {
  padding: 6px 10px 6px 6px;
  color: #333;
  background: #fff;
}

.leaflet-control-layers-scrollbar {
  overflow-y: scroll;
  overflow-x: hidden;
  padding-right: 5px;
}

.leaflet-control-layers-selector {
  margin-top: 2px;
  position: relative;
  top: 1px;
}

.leaflet-control-layers label {
  display: block;
}

.leaflet-control-layers-separator {
  height: 0;
  border-top: 1px solid #ddd;
  margin: 5px -10px 5px -6px;
}

/* Default icon URLs */
.leaflet-default-icon-path {
  background-image: url(images/marker-icon.png);
}

/* attribution and scale controls */
.leaflet-container .leaflet-control-attribution {
  background: #fff;
  background: rgba(255, 255, 255, 0.7);
  margin: 0;
}

.leaflet-control-attribution,
.leaflet-control-scale-line {
  padding: 0 5px;
  color: #333;
}

.leaflet-control-attribution a {
  text-decoration: none;
}

.leaflet-control-attribution a:hover {
  text-decoration: underline;
}

.leaflet-container .leaflet-control-attribution,
.leaflet-container .leaflet-control-scale {
  font-size: 11px;
}

.leaflet-left .leaflet-control-scale {
  margin-left: 5px;
}

.leaflet-bottom .leaflet-control-scale {
  margin-bottom: 5px;
}

.leaflet-control-scale-line {
  border: 2px solid #777;
  border-top: none;
  line-height: 1.1;
  padding: 2px 5px 1px;
  font-size: 11px;
  white-space: nowrap;
  overflow: hidden;
  -moz-box-sizing: border-box;
  box-sizing: border-box;
  background: #fff;
  background: rgba(255, 255, 255, 0.5);
}

.leaflet-control-scale-line:not(:first-child) {
  border-top: 2px solid #777;
  border-bottom: none;
  margin-top: -2px;
}

.leaflet-control-scale-line:not(:first-child):not(:last-child) {
  border-bottom: 2px solid #777;
}

.leaflet-touch .leaflet-control-attribution,
.leaflet-touch .leaflet-control-layers,
.leaflet-touch .leaflet-bar {
  box-shadow: none;
}

.leaflet-touch .leaflet-control-layers,
.leaflet-touch .leaflet-bar {
  border: 2px solid rgba(0, 0, 0, 0.2);
  background-clip: padding-box;
}

/* popup */
.leaflet-popup {
  position: absolute;
  text-align: center;
  margin-bottom: 20px;
}

.leaflet-popup-content-wrapper {
  padding: 1px;
  text-align: left;
  border-radius: 12px;
}

.leaflet-popup-content {
  margin: 13px 19px;
  line-height: 1.4;
}

.leaflet-popup-content p {
  margin: 18px 0;
}

.leaflet-popup-tip-container {
  width: 40px;
  height: 20px;
  position: absolute;
  left: 50%;
  margin-left: -20px;
  overflow: hidden;
  pointer-events: none;
}

.leaflet-popup-tip {
  width: 17px;
  height: 17px;
  padding: 1px;
  margin: -10px auto 0;
  -webkit-transform: rotate(45deg);
  -moz-transform: rotate(45deg);
  -ms-transform: rotate(45deg);
  transform: rotate(45deg);
}

.leaflet-popup-content-wrapper,
.leaflet-popup-tip {
  background: white;
  color: #333;
  box-shadow: 0 3px 14px rgba(0, 0, 0, 0.4);
}

.leaflet-container a.leaflet-popup-close-button {
  position: absolute;
  top: 0;
  right: 0;
  padding: 4px 4px 0 0;
  border: none;
  text-align: center;
  width: 18px;
  height: 14px;
  font: 16px/14px Tahoma, Verdana, sans-serif;
  color: #c3c3c3;
  text-decoration: none;
  font-weight: bold;
  background: transparent;
}

.leaflet-container a.leaflet-popup-close-button:hover {
  color: #999;
}

.leaflet-popup-scrolled {
  overflow: auto;
  border-bottom: 1px solid #ddd;
  border-top: 1px solid #ddd;
}

.leaflet-oldie .leaflet-popup-content-wrapper {
  -ms-zoom: 1;
}

.leaflet-oldie .leaflet-popup-tip {
  width: 24px;
  margin: 0 auto;
  -ms-filter: "progid:DXImageTransform.Microsoft.Matrix(M11=0.70710678, M12=0.70710678, M21=-0.70710678, M22=0.70710678)";
  filter: progid:DXImageTransform.Microsoft.Matrix(M11=0.70710678, M12=0.70710678, M21=-0.70710678, M22=0.70710678);
}

.leaflet-oldie .leaflet-popup-tip-container {
  margin-top: -1px;
}

.leaflet-oldie .leaflet-control-zoom,
.leaflet-oldie .leaflet-control-layers,
.leaflet-oldie .leaflet-popup-content-wrapper,
.leaflet-oldie .leaflet-popup-tip {
  border: 1px solid #999;
}

/* div icon */
.leaflet-div-icon {
  background: #fff;
  border: 1px solid #666;
}

/* Tooltip */
/* Base styles for the element that has a tooltip */
.leaflet-tooltip {
  position: absolute;
  padding: 6px;
  background-color: #fff;
  border: 1px solid #fff;
  border-radius: 3px;
  color: #222;
  white-space: nowrap;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
  pointer-events: none;
  box-shadow: 0 1px 3px rgba(0, 0, 0, 0.4);
}

.leaflet-tooltip.leaflet-clickable {
  cursor: pointer;
  pointer-events: auto;
}

.leaflet-tooltip-top:before,
.leaflet-tooltip-bottom:before,
.leaflet-tooltip-left:before,
.leaflet-tooltip-right:before {
  position: absolute;
  pointer-events: none;
  border: 6px solid transparent;
  background: transparent;
  content: "";
}

/* Directions */
.leaflet-tooltip-bottom {
  margin-top: 6px;
}

.leaflet-tooltip-top {
  margin-top: -6px;
}

.leaflet-tooltip-bottom:before,
.leaflet-tooltip-top:before {
  left: 50%;
  margin-left: -6px;
}

.leaflet-tooltip-top:before {
  bottom: 0;
  margin-bottom: -12px;
  border-top-color: #fff;
}

.leaflet-tooltip-bottom:before {
  top: 0;
  margin-top: -12px;
  margin-left: -6px;
  border-bottom-color: #fff;
}

.leaflet-tooltip-left {
  margin-left: -6px;
}

.leaflet-tooltip-right {
  margin-left: 6px;
}

.leaflet-tooltip-left:before,
.leaflet-tooltip-right:before {
  top: 50%;
  margin-top: -6px;
}

.leaflet-tooltip-left:before {
  right: 0;
  margin-right: -12px;
  border-left-color: #fff;
}

.leaflet-tooltip-right:before {
  left: 0;
  margin-left: -12px;
  border-right-color: #fff;
}

.leaflet-cluster-anim .leaflet-marker-icon, .leaflet-cluster-anim .leaflet-marker-shadow {
  -webkit-transition: -webkit-transform 0.3s ease-out, opacity 0.3s ease-in;
  -moz-transition: -moz-transform 0.3s ease-out, opacity 0.3s ease-in;
  -o-transition: -o-transform 0.3s ease-out, opacity 0.3s ease-in;
  transition: transform 0.3s ease-out, opacity 0.3s ease-in;
}

.leaflet-cluster-spider-leg {
  /* stroke-dashoffset (duration and function) should match with leaflet-marker-icon transform in order to track it exactly */
  -webkit-transition: -webkit-stroke-dashoffset 0.3s ease-out, -webkit-stroke-opacity 0.3s ease-in;
  -moz-transition: -moz-stroke-dashoffset 0.3s ease-out, -moz-stroke-opacity 0.3s ease-in;
  -o-transition: -o-stroke-dashoffset 0.3s ease-out, -o-stroke-opacity 0.3s ease-in;
  transition: stroke-dashoffset 0.3s ease-out, stroke-opacity 0.3s ease-in;
}

.marker-cluster-small {
  background-color: rgba(181, 226, 140, 0.6);
}

.marker-cluster-small div {
  background-color: rgba(110, 204, 57, 0.6);
}

.marker-cluster-medium {
  background-color: rgba(241, 211, 87, 0.6);
}

.marker-cluster-medium div {
  background-color: rgba(240, 194, 12, 0.6);
}

.marker-cluster-large {
  background-color: rgba(253, 156, 115, 0.6);
}

.marker-cluster-large div {
  background-color: rgba(241, 128, 23, 0.6);
}

/* IE 6-8 fallback colors */
.leaflet-oldie .marker-cluster-small {
  background-color: rgb(181, 226, 140);
}

.leaflet-oldie .marker-cluster-small div {
  background-color: rgb(110, 204, 57);
}

.leaflet-oldie .marker-cluster-medium {
  background-color: rgb(241, 211, 87);
}

.leaflet-oldie .marker-cluster-medium div {
  background-color: rgb(240, 194, 12);
}

.leaflet-oldie .marker-cluster-large {
  background-color: rgb(253, 156, 115);
}

.leaflet-oldie .marker-cluster-large div {
  background-color: rgb(241, 128, 23);
}

.marker-cluster {
  background-clip: padding-box;
  border-radius: 20px;
}

.marker-cluster div {
  width: 30px;
  height: 30px;
  margin-left: 5px;
  margin-top: 5px;
  text-align: center;
  border-radius: 15px;
  font: 12px "Helvetica Neue", Arial, Helvetica, sans-serif;
}

.marker-cluster span {
  line-height: 30px;
}